package agilpizza.pizza;

import static org.junit.Assert.assertTrue;

import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import agilpizza.internal.SeleniumTestCase;

public class PizzaTradicionalTest extends SeleniumTestCase {
	@BeforeMethod
	public void entrarNaPagina() {
		sel.open(CONTEXTO);
		sel.clickAndWait("linkPizzasTradicionais");
	}

	@Test
	public void testaSePizzaEstaAparecendo() {
		assertTrue("Falta Pizza Mussarela", sel
				.isTextPresent("Mussarela"));
	}

	@Test(enabled=false)
	public void testarAdicionaPizzaAoPedidoDeUmCliente() {
		sel.deleteCookie(sel.getCookie(), CONTEXTO);
		sel.open(CONTEXTO);
		sel.click("formAdicionarPizza:list:0:listaPizzasTradicionais");
		sel.click("formAdicionarPizza:list:1:listaPizzasTradicionais");
		sel.click("formAdicionarPizza:adicionarPizza");
		sel.waitForPageToLoad("30000");
//		assertTrue(sel.isTextPresent("Sua pizza foi incluida no pedido:"));
//		assertTrue("Falta o Ovo:", sel.isTextPresent("Ovo"));
//		assertTrue("Falta o Orégano:", sel.isTextPresent("Orégano"));
//		assertTrue("Falta o Molho de Tomate:", sel
//				.isTextPresent("Molho de Tomate"));
//		assertTrue("Falta o Mussarela:", sel.isTextPresent("Mussarela"));
	}


}
